1. WhatsApp
X Lead Connect
  • Overview
  • API Key Integration
  • SMS
    • Message Delivery Flow
    • Send Message
      POST
    • Get Usage Report
      GET
  • MMS
    • Message Delivery Flow
    • Send Message
      POST
    • Get Usage Report
      GET
  • eDM
    • Message Delivery Flow
    • Get Campaign List
      GET
    • Send Message
      POST
  • WhatsApp
    • Message Delivery Flow
    • Get Template List
      GET
    • Send Message
      POST
  • Account Management
    • Get Points Balance
      GET
    • Get Quota Balance
      GET
  1. WhatsApp

Get Template List

GET
https://api.connect.xleadfunnel.com/v1/whatsapp/get-template-list
Get all APPROVED templates for this account.

Request

Query Params

Body Params application/x-www-form-urlencoded

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "rc": 100,
    "rm": "OK",
    "data": [
        {
            "template_name": "xmas_marketing_promo",
            "created": "2026-01-03T12:43:46Z",
            "params": {
                "name": "John",
                "order_num": "IN1003" 
            }
        }
    ]
}
Modified at 2026-08-07 01:46:16
Previous
Message Delivery Flow
Next
Send Message
Built with